# coding: utf-8
currency_country_code = {
    'DZD': ['DZ'],
    'NAD': ['NA'],
    'KMF': ['KM'],
    'EGP': ['EG'],
    'BOV': ['BO'],
    'PAB': ['PA'],
    'TMT': ['TM'],
    'BOB': ['BO'],
    'DKK': ['DK', 'FO', 'GL'],
    'BWP': ['BW'],
    'LBP': ['LB'],
    'TZS': ['TZ'],
    'VND': ['VN'],
    'AOA': ['AO'],
    'KHR': ['KH'],
    'GHS': ['GH'],
    'KYD': ['KY'],
    'LYD': ['LY'],
    'UAH': ['UA'],
    'JOD': ['JO'],
    'AWG': ['AW'],
    'SAR': ['SA'],
    'LTL': ['LT'],
    'HKD': ['HK'],
    'CHE': ['CH'],
    'CHF': ['LI', 'CH'],
    'GIP': ['GI'],
    'BYR': ['BY'],
    'XPF': ['PF', 'NC', 'WF'],
    'MRO': ['MR'],
    'BGN': ['BG'],
    'HRK': ['HR'],
    'DJF': ['DJ'],
    'SZL': ['SZ'],
    'THB': ['TH'],
    'XAF': ['CM', 'CF', 'TD', 'CG', 'GQ', 'GA'],
    'BND': ['BN'],
    'ISK': ['IS'],
    'UYU': ['UY'],
    'NIO': ['NI'],
    'LAK': ['LA'],
    'SYP': ['SY'],
    'MAD': ['MA', 'EH'],
    'UYI': ['UY'],
    'MZN': ['MZ'],
    'PHP': ['PH'],
    'ZAR': ['LS', 'NA', 'ZA'],
    'NPR': ['NP'],
    'ALL': ['AL'],
    'ZWL': ['ZW'],
    'NGN': ['NG'],
    'CRC': ['CR'],
    'AED': ['AE'],
    'GBP': ['GG', 'IM', 'JE', 'GB'],
    'MWK': ['MW'],
    'LKR': ['LK'],
    'PKR': ['PK'],
    'HUF': ['HU'],
    'BMD': ['BM'],
    'LSL': ['LS'],
    'MNT': ['MN'],
    'AMD': ['AM'],
    'UGX': ['UG'],
    'QAR': ['QA'],
    'JMD': ['JM'],
    'GEL': ['GE'],
    'SHP': ['SH'],
    'SBD': ['SB'],
    'KPW': ['KP'],
    'MKD': ['MK'],
    'TRY': ['TR'],
    'BDT': ['BD'],
    'YER': ['YE'],
    'HTG': ['HT'],
    'SLL': ['SL'],
    'MGA': ['MG'],
    'ANG': ['CW', 'SX'],
    'LRD': ['LR'],
    'XCD': ['AI', 'AG', 'DM', 'GD', 'MS', 'KN', 'LC', 'VC'],
    'NOK': ['BV', 'NO', 'SJ'],
    'MXV': ['MX'],
    'MOP': ['MO'],
    'SSP': ['SS'],
    'INR': ['BT', 'IN'],
    'MXN': ['MX'],
    'CZK': ['CZ'],
    'TJS': ['TJ'],
    'BTN': ['BT'],
    'COP': ['CO'],
    'MYR': ['MY'],
    'COU': ['CO'],
    'MUR': ['MU'],
    'IDR': ['ID'],
    'HNL': ['HN'],
    'FJD': ['FJ'],
    'ETB': ['ET'],
    'PEN': ['PE'],
    'BZD': ['BZ'],
    'CHW': ['CH'],
    'ILS': ['IL'],
    'DOP': ['DO'],
    'TWD': ['TW'],
    'MDL': ['MD'],
    'BSD': ['BS'],
    'SEK': ['SE'],
    'ZMK': ['ZM'],
    'MVR': ['MV'],
    'AUD': ['AU', 'CX', 'CC', 'HM', 'KI', 'NR', 'NF', 'TV'],
    'SRD': ['SR'],
    'CUP': ['CU'],
    'CLF': ['CL'],
    'BBD': ['BB'],
    'KRW': ['KR'],
    'GMD': ['GM'],
    'VEF': ['VE'],
    'GTQ': ['GT'],
    'CUC': ['CU'],
    'CLP': ['CL'],
    'EUR': ['AD', 'AT', 'BE', 'CY', 'EE', 'FI', 'FR', 'GF', 'TF', 'DE', 'GR', 'GP', 'VA', 'IE', 'IT', 'LU', 'MT', 'MQ', 'YT', 'MC', 'ME', 'NL', 'PT', 'RE', 'BL', 'MF', 'PM', 'SM', 'SK', 'SI', 'ES', 'AX'],
    'CDF': ['CD'],
    'RWF': ['RW'],
    'KZT': ['KZ'],
    'RUB': ['RU'],
    'TTD': ['TT'],
    'OMR': ['OM'],
    'BRL': ['BR'],
    'MMK': ['MM'],
    'PLN': ['PL'],
    'PYG': ['PY'],
    'KES': ['KE'],
    'SVC': ['SV'],
    'USD': ['AS', 'BQ', 'IO', 'EC', 'SV', 'GU', 'HT', 'MH', 'FM', 'MP', 'PW', 'PA', 'PR', 'TL', 'TC', 'US', 'UM', 'VG', 'VI'],
    'AZN': ['AZ'],
    'USN': ['US'],
    'TOP': ['TO'],
    'VUV': ['VU'],
    'GNF': ['GN'],
    'WST': ['WS'],
    'IQD': ['IQ'],
    'ERN': ['ER'],
    'BAM': ['BA'],
    'SCR': ['SC'],
    'CAD': ['CA'],
    'CVE': ['CV'],
    'KWD': ['KW'],
    'BIF': ['BI'],
    'PGK': ['PG'],
    'SOS': ['SO'],
    'SGD': ['SG'],
    'UZS': ['UZ'],
    'STD': ['ST'],
    'IRR': ['IR'],
    'CNY': ['CN'],
    'XOF': ['BJ', 'BF', 'CI', 'GW', 'ML', 'NE', 'SN', 'TG'],
    'TND': ['TN'],
    'GYD': ['GY'],
    'NZD': ['CK', 'NZ', 'NU', 'PN', 'TK'],
    'FKP': ['FK'],
    'LVL': ['LV'],
    'USS': ['US'],
    'KGS': ['KG'],
    'ARS': ['AR'],
    'RON': ['RO'],
    'RSD': ['RS'],
    'BHD': ['BH'],
    'JPY': ['JP'],
    'SDG': ['SD'],
}
country_code_currency = {
    'BD': ['BDT'],
    'BE': ['EUR'],
    'BF': ['XOF'],
    'BG': ['BGN'],
    'BA': ['BAM'],
    'BB': ['BBD'],
    'WF': ['XPF'],
    'BL': ['EUR'],
    'BM': ['BMD'],
    'BN': ['BND'],
    'BO': ['BOB', 'BOV'],
    'BH': ['BHD'],
    'BI': ['BIF'],
    'BJ': ['XOF'],
    'BT': ['INR', 'BTN'],
    'JM': ['JMD'],
    'BV': ['NOK'],
    'BW': ['BWP'],
    'WS': ['WST'],
    'BQ': ['USD'],
    'BR': ['BRL'],
    'BS': ['BSD'],
    'JE': ['GBP'],
    'BY': ['BYR'],
    'BZ': ['BZD'],
    'RU': ['RUB'],
    'RW': ['RWF'],
    'RS': ['RSD'],
    'TL': ['USD'],
    'RE': ['EUR'],
    'TM': ['TMT'],
    'TJ': ['TJS'],
    'RO': ['RON'],
    'TK': ['NZD'],
    'GW': ['XOF'],
    'GU': ['USD'],
    'GT': ['GTQ'],
    'GR': ['EUR'],
    'GQ': ['XAF'],
    'GP': ['EUR'],
    'JP': ['JPY'],
    'GY': ['GYD'],
    'GG': ['GBP'],
    'GF': ['EUR'],
    'GE': ['GEL'],
    'GD': ['XCD'],
    'GB': ['GBP'],
    'GA': ['XAF'],
    'GN': ['GNF'],
    'GM': ['GMD'],
    'GL': ['DKK'],
    'GI': ['GIP'],
    'GH': ['GHS'],
    'OM': ['OMR'],
    'TN': ['TND'],
    'JO': ['JOD'],
    'HR': ['HRK'],
    'HT': ['HTG', 'USD'],
    'HU': ['HUF'],
    'HK': ['HKD'],
    'HN': ['HNL'],
    'HM': ['AUD'],
    'VE': ['VEF'],
    'PR': ['USD'],
    'PW': ['USD'],
    'PT': ['EUR'],
    'KN': ['XCD'],
    'PY': ['PYG'],
    'IQ': ['IQD'],
    'PA': ['PAB', 'USD'],
    'PF': ['XPF'],
    'PG': ['PGK'],
    'PE': ['PEN'],
    'PK': ['PKR'],
    'PH': ['PHP'],
    'PN': ['NZD'],
    'PL': ['PLN'],
    'PM': ['EUR'],
    'ZM': ['ZMK'],
    'EH': ['MAD'],
    'EE': ['EUR'],
    'EG': ['EGP'],
    'ZA': ['ZAR'],
    'EC': ['USD'],
    'IT': ['EUR'],
    'VN': ['VND'],
    'SB': ['SBD'],
    'ET': ['ETB'],
    'SO': ['SOS'],
    'ZW': ['ZWL'],
    'SA': ['SAR'],
    'ES': ['EUR'],
    'ER': ['ERN'],
    'ME': ['EUR'],
    'MD': ['MDL'],
    'MG': ['MGA'],
    'MF': ['EUR'],
    'MA': ['MAD'],
    'MC': ['EUR'],
    'UZ': ['UZS'],
    'MM': ['MMK'],
    'ML': ['XOF'],
    'MO': ['MOP'],
    'MN': ['MNT'],
    'MH': ['USD'],
    'MK': ['MKD'],
    'MU': ['MUR'],
    'MT': ['EUR'],
    'MW': ['MWK'],
    'MV': ['MVR'],
    'MQ': ['EUR'],
    'MP': ['USD'],
    'MS': ['XCD'],
    'MR': ['MRO'],
    'IM': ['GBP'],
    'UG': ['UGX'],
    'MY': ['MYR'],
    'MX': ['MXN', 'MXV'],
    'IL': ['ILS'],
    'FR': ['EUR'],
    'AW': ['AWG'],
    'SH': ['SHP'],
    'AX': ['EUR'],
    'SJ': ['NOK'],
    'FI': ['EUR'],
    'FJ': ['FJD'],
    'FK': ['FKP'],
    'FM': ['USD'],
    'FO': ['DKK'],
    'NI': ['NIO'],
    'NL': ['EUR'],
    'NO': ['NOK'],
    'NA': ['NAD', 'ZAR'],
    'VU': ['VUV'],
    'NC': ['XPF'],
    'NE': ['XOF'],
    'NF': ['AUD'],
    'NG': ['NGN'],
    'NZ': ['NZD'],
    'NP': ['NPR'],
    'NR': ['AUD'],
    'NU': ['NZD'],
    'CK': ['NZD'],
    'CI': ['XOF'],
    'CH': ['CHF', 'CHE', 'CHW'],
    'CO': ['COP', 'COU'],
    'CN': ['CNY'],
    'CM': ['XAF'],
    'CL': ['CLP', 'CLF'],
    'CC': ['AUD'],
    'CA': ['CAD'],
    'CG': ['XAF'],
    'CF': ['XAF'],
    'CD': ['CDF'],
    'CZ': ['CZK'],
    'CY': ['EUR'],
    'CX': ['AUD'],
    'CR': ['CRC'],
    'CW': ['ANG'],
    'CV': ['CVE'],
    'CU': ['CUP', 'CUC'],
    'SZ': ['SZL'],
    'SY': ['SYP'],
    'SX': ['ANG'],
    'KG': ['KGS'],
    'KE': ['KES'],
    'SS': ['SSP'],
    'SR': ['SRD'],
    'KI': ['AUD'],
    'KH': ['KHR'],
    'SV': ['SVC', 'USD'],
    'KM': ['KMF'],
    'ST': ['STD'],
    'SK': ['EUR'],
    'KR': ['KRW'],
    'SI': ['EUR'],
    'KP': ['KPW'],
    'KW': ['KWD'],
    'SN': ['XOF'],
    'SM': ['EUR'],
    'SL': ['SLL'],
    'SC': ['SCR'],
    'KZ': ['KZT'],
    'KY': ['KYD'],
    'SG': ['SGD'],
    'SE': ['SEK'],
    'SD': ['SDG'],
    'DO': ['DOP'],
    'DM': ['XCD'],
    'DJ': ['DJF'],
    'DK': ['DKK'],
    'DE': ['EUR'],
    'YE': ['YER'],
    'DZ': ['DZD'],
    'US': ['USD', 'USN', 'USS'],
    'UY': ['UYU', 'UYI'],
    'YT': ['EUR'],
    'UM': ['USD'],
    'LB': ['LBP'],
    'LC': ['XCD'],
    'LA': ['LAK'],
    'TV': ['AUD'],
    'TW': ['TWD'],
    'TT': ['TTD'],
    'TR': ['TRY'],
    'LK': ['LKR'],
    'LI': ['CHF'],
    'LV': ['LVL'],
    'TO': ['TOP'],
    'LT': ['LTL'],
    'LU': ['EUR'],
    'LR': ['LRD'],
    'LS': ['LSL', 'ZAR'],
    'TH': ['THB'],
    'TF': ['EUR'],
    'TG': ['XOF'],
    'TD': ['XAF'],
    'TC': ['USD'],
    'LY': ['LYD'],
    'VA': ['EUR'],
    'VC': ['XCD'],
    'AE': ['AED'],
    'AD': ['EUR'],
    'AG': ['XCD'],
    'VG': ['USD'],
    'AI': ['XCD'],
    'VI': ['USD'],
    'IS': ['ISK'],
    'IR': ['IRR'],
    'AM': ['AMD'],
    'AL': ['ALL'],
    'AO': ['AOA'],
    'AS': ['USD'],
    'AR': ['ARS'],
    'AU': ['AUD'],
    'AT': ['EUR'],
    'IO': ['USD'],
    'IN': ['INR'],
    'TZ': ['TZS'],
    'AZ': ['AZN'],
    'IE': ['EUR'],
    'ID': ['IDR'],
    'UA': ['UAH'],
    'QA': ['QAR'],
    'MZ': ['MZN'],
}
